.task {
	margin: 3px;
	background: light-dark(#ceedff,#f0f);
}
.taskdone {
	background: light-dark(#a1ffa1,#f0f);
}
.taskoverdue {
	background: light-dark(#ff9d6e,#f0f);
}
.taskdeleted {
	text-decoration: line-through;
	pointer-events: none;
	opacity: 0.5;
}
.task::before {
	content: "❎";
}
.taskdone::before {
	content: "✅";
}
.taskoverdue::before {
	content: "⛔";
}
.task > time {
	margin-right: 2em;
}

* {
	margin:0;
	padding:0;
}
p, h2, h3, h4, h5 {
	margin-top:0.5em;
	margin-bottom:0.5em;
}
li, ol {
	margin-left:1em;
}
.slideimg {
	max-width:100%;
	height:auto;
	margin-top:5em;
}
:where(a[href^="http://"], a[href^="https://"]):hover::after {
	content:" (external link)";
	color:red;
	background:black;
	position:absolute;
}
:root {
	--maxcontentw:100vw;
}

code {
	display:inline-block;
	white-space:pre-wrap;
	background:light-dark(#dff,#223);
	color:light-dark(#223,#dff);
}
.comment {
	color:grey;
}

.greentext {
	color:green;
}


.fixedposition {
	position:fixed;
}


.dropdownmenu1 {
	padding:1em;
	background:#333;
	border-radius:20px;
}
.dropdownmenu2 {
	padding:0.5em;
	background:#666;
	border-radius:10px;
}
.dropdownmenu1_btn {
	background:#222;
	color:#fff;
	border-radius:0.4em;
}

#wiki_dropdownmenu {
	max-height:50vh;
	overflow-y:scroll;
}
.wikipage {
	
}
.wikipage_descr {
	color:grey;
}



/* diar.html */
#diarypagecontent {
	background:#000;
	border-radius: 5vw;
	padding:5vh 5vw;
	width:90vw;
	height:80vh;
	overflow-y:scroll;
}
#diarybuttons {
	width:100vw;
	height:10vh;
	display:flex;
	justify-content:space-around;
}
.diarybutton {
	background:#555;
	padding:0.5em;
	min-width:10vw;
	border-radius: 0.5em;
	text-align: center;
}
.diary_paragraph {
	
}



/* index.html */
.squaremenu {
	display:flex;
	flex-wrap:wrap;
	--squaresz:calc(var(--maxcontentw) * 0.333333);
}
.lessdarktheme {
	background:#333;
	color:white;
}
.squaremenu_entry {
	background:#333;
}
.squaremenu_entry:hover {
	background:#999;
	opacity:0.5;
}
.squaremenu_title {
	display:none;
	position:absolute;
	/*margin-left:calc(var(--squaresz) * -1);*/
	max-width:var(--squaresz);
	/*margin-top:calc(var(--squaresz) * 0.5 - 0.75em);*/
	font-size:calc(var(--squaresz) * 0.2);
	text-align:center;
	pointer-events:none;
}
.squaremenu_title_smallertext {
	font-size:calc(var(--squaresz) * 0.15);
}
.squaremenu_container:hover > .squaremenu_title {
	display:unset;
}
@media (orientation: landscape){
	#frontpagesquaremenu {
		--squaresz:calc(var(--maxcontentw) * 0.2);
	}
	.repo_container {
		max-width:1012px;
		margin-left:auto;
		margin-right:auto;
		--maxcontentw:1012px;
	}
}
.squaremenu_entry {
	width:var(--squaresz);
	height:var(--squaresz);
}
.squaremenu_container {
	display:flex;
	justify-content:center;
	align-items:center;
}



/* rand.html */
#randymediaplayer_parent_btn {
	top:1em;
	left:1em;
	z-index:9;
}
#randymediaplayer_goto_post_of_media {
	top:1em;
	right:10em;
	z-index:9;
}
#randymediaplayer_prev {
	top:3em;
	left:1em;
	z-index:9;
}
#randymediaplayer_next {
	top:3em;
	left:7em;
	z-index:9;
}
#randymediaplayer_filterselector {
	top:3em;
	left:14em;
	z-index:9;
}
#randymediaplayer_selector1 {
	top:3em;
	left:22em;
	z-index:9;
}
#randymediaplayer_selector2 {
	top:3em;
	left:62em;
	z-index:9;
}
#randymediaplayer_selector3 {
	top:3em;
	left:92em;
	z-index:9;
}
#randymediaplayer_add_tag_to_file_container {
	top:6em;
	right:14em;
	z-index:9;
}
#randymediaplayer_errcontainer {
	background:#f00;
	z-index:99;
	display:none;
}
#randymediaplayer_container {
	width:100vw;
	max-height:100vh;
	background-position:center;
	background-size:contain!important;
	background-repeat:no-repeat!important;
}
#randymediaplayer_container>video {
	width:100vw;
	height:100vh;
}
#randymediaplayer_container>audio {
	width:100vw;
	top:50vh;
}
#randymediaplayer_container>img {
	max-width:100vw;
	max-height:100vh;
}




/* web chat: */

#leftcol {
	float:left;
}
#rightcol {
	float:right;
}
#messages {
	width: 600px;
	height: 400px;
	white-space: normal;
	overflow: auto;
	border: solid 1px #cccccc;
	margin-bottom: 5px;
}
#showerr_node {
	background: red;
}
.dir_files_container {}
.chat_media_tag_thumbnail {
	height:5em;
}
.chat_username {
	color:green;
}
.chat_tmpmsg {
	color:yellow;
}

.unselectable {
	-moz-user-select:-moz-none;
	-khtml-user-select:none;
	-webkit-user-select:none;
}








/* amis.html, isrl.html, brit.html */

#usabanner {
	background-image:url(../static/USA!.jpeg);
	background-size: 100% auto;
}
#ronabanner {
	background-image:url(img/fkoA.jpeg);
	background-size: 100% auto;
}
#bannerimage {
	width:100vw;
	position:fixed;
}
#maincontentcontainer {
	position:fixed;
	width:100vw;
	height:100vh;
	overflow-y:scroll;
	
	background: -moz-linear-gradient(top, #00000000, #000000ff); 
	background: -webkit-gradient(linear, left top, left bottom, from(#00000000), to(#000000ff)); 
}
	video, .contentimage {
		width:100vw;
	}
	.portraitvideo {
		width:100vw;
		height:50vh;
	}
	#maincontent {
		width:100vw;
	}
@media (orientation: landscape){
	video, .contentimage {
		width:50vw;
	}
	.portraitvideo {
		width:50vw;
		height:50vh;
	}
	#maincontent {
		width:50vw;
	}
}
/* Centering */
#maincontentcontainer {
	display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
#maincontent {
	background:light-dark(#f00,#0f0);
	color:white;
	text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}
.contentlink {
	color:#7389ff;
}
.contentlink:visited {
	color:#727cb5;
}
#sitewide_header {
	padding:1em;
	border-bottom:1px solid grey;
	font-size:1.4em;
	background:light-dark(#fff9ea,#3e3e48);
}
.popup_message {
	position:fixed;
	width:80vw;
	height:80vh;
	margin-top:10vh;
	margin-left:10vw;
	border:1px solid red;
	z-index:9999;
	background:light-dark(#fff,#000);
	text-align:center;
}




.github_colour_bg {
	background:light-dark(#e6e6e6,#001015);
	padding-top:1em;
	margin-bottom:1em;
}
.repo_screenshot {
	max-width:100%;
	height:auto;
}
.repo_img_halfwidth {
	max-width:50%;
	height:auto;
	/*display:block;margin:auto; This would centre it */
}
#repo_profile_img {
	border-radius:50%;
	float:left;
	width:calc(var(--maxcontentw) * 0.25);
	height:calc(var(--maxcontentw) * 0.25);
}
#repo_filepaths_container {
	border:1px solid grey;
	width:fit-content;
	padding:1em;
	max-height:9.9em;
	line-height:1.1em;
	overflow-y:scroll;
}
.repo_filepath {
  display:block;
}

.contact_icon {
	width:auto;
	height:1em;
}
.inverse_cl {
	filter:invert(1);
}


/*a {
	color:#7389ff;
}
a:visited {
	color:#00f;
}*/


#colorshemechanger_container {
	float:right;
}



.display-inline-block {
	display:inline-block;
}
.display_flex {
	display:flex;
}
.display-none {
	display:none;
}



/* Tracking bullshit because I'm a bit evil :) */
@media (min-width: 100px){
	body {
		
	}
}


.tablecontainer {
	max-height:10em;
	overflow-y:scroll;
}
.tablecontainer > thead {
	position:sticky;
	top:0;
	background:light-dark(#fff9ea,#3e3e48);
}




.autocolumns {
	container-type: inline-size;
	column-width: 30em;
}
h2,h3,h4,h5,h6 {
	column-span:all;
}


#worldessaythumb {
	width:calc(var(--squaresz) * 0.5);
	height:calc(var(--squaresz) * 0.5);
	margin:calc(var(--squaresz) * 0.25);
	border-radius:50%;
	animation: pulsate 6s linear infinite;
}
@keyframes pulsate {
	50% {
		box-shadow:
		0 0 20px #ff0,
		20px 0 80px oklch(70% 0.50 68),
		-20px 0 80px oklch(90% 0.5 200),
		inset 0 0 50px #ff0,
		inset -50px 0 80px oklch(70% 0.50 68),
		inset 50px 0 80px oklch(90% 0.5 200),
		inset -50px 0 300px oklch(70% 0.50 68),
		inset 50px 0 300px oklch(90% 0.5 200);
	}
}

.bannerimg_container {
	background: light-dark(#fff7f1,#252d33);
	display:flex;
}
.bannerimg {
	max-height:200px;
}
.banner_text {
	margin: auto;
}

article {
	margin-top:1em;
	margin-bottom:1em;
}
blockquote {
	padding-left:1em;
	border-left:1px solid grey;
	color:grey;
}
dialog {
	max-width:80ch;
	margin:auto;
}
::backdrop {
	backdrop-filter: blur(0.3em);
}
.closebtn {
	background:red;
	color:white;
	float:right;
}


/* for comments */
.cmnt_header {
  display:flex;
  justify-content: space-between;
}
.cmnt_author {
  font-weight:bold;
}
.cmnt_reply_textarea {
  display:block;
  min-width:50%;
  min-height:5em;
}
.cmnt_reply_isprivate {
  display:block;
}
.cmnt_children {
	margin-left:3em;
}
.cmnt_awaiting_approval {
	color:#888;
}